<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_13) on Fri Feb 08 19:40:58 CET 2008 -->
<META http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<TITLE>
RFC2109Spec (HttpClient 3.1 API)
</TITLE>

<META NAME="keywords" CONTENT="org.apache.commons.httpclient.cookie.RFC2109Spec class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="RFC2109Spec (HttpClient 3.1 API)";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/RFC2109Spec.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/cookie/NetscapeDraftSpec.html" title="class in org.apache.commons.httpclient.cookie"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2965Spec.html" title="class in org.apache.commons.httpclient.cookie"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/cookie/RFC2109Spec.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RFC2109Spec.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.apache.commons.httpclient.cookie</FONT>
<BR>
Class RFC2109Spec</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">org.apache.commons.httpclient.cookie.CookieSpecBase</A>
      <IMG SRC="../../../../../resources/inherit.gif" ALT="extended by "><B>org.apache.commons.httpclient.cookie.RFC2109Spec</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public class <B>RFC2109Spec</B><DT>extends <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></DL>
</PRE>

<P>
<p>RFC 2109 specific cookie management functions
<P>

<P>
<DL>
<DT><B>Since:</B></DT>
  <DD>2.0</DD>
<DT><B>Author:</B></DT>
  <DD>B.C. Holmes, <a href="mailto:jericho@thinkfree.com">Park, Sung-Gu</a>, <a href="mailto:dsale@us.britannica.com">Doug Sale</a>, Rod Waldhoff, dIon Gillard, Sean C. Sullivan, <a href="mailto:JEvans@Cyveillance.com">John Evans</a>, Marc A. Saegesser, <a href="mailto:oleg@ural.ru">Oleg Kalnichevski</a>, <a href="mailto:mbowler@GargoyleSoftware.com">Mike Bowler</a></DD>
</DL>
<HR>

<P>
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="field_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Field Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#SET_COOKIE_KEY">SET_COOKIE_KEY</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cookie Response Header  name for cookies processed
 by this spec.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.commons.httpclient.cookie.CookieSpecBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from class org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#LOG">LOG</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.apache.commons.httpclient.cookie.CookieSpec"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Fields inherited from interface org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#PATH_DELIM">PATH_DELIM</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#PATH_DELIM_CHAR">PATH_DELIM_CHAR</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#RFC2109Spec()">RFC2109Spec</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default constructor</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#domainMatch(java.lang.String, java.lang.String)">domainMatch</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
            <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;domain)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs domain-match as defined by the RFC2109.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#formatCookie(org.apache.commons.httpclient.Cookie)">formatCookie</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Return a string suitable for sending in a <tt>"Cookie"</tt> header as
 defined in RFC 2109</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#formatCookies(org.apache.commons.httpclient.Cookie[])">formatCookies</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]&nbsp;cookies)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create a RFC 2109 compliant <tt>"Cookie"</tt> header value containing all
 <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A>s in <i>cookies</i> suitable for sending in a <tt>"Cookie"
 </tt> header</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
               <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Parse RFC 2109 specific cookie attribute and update the corresponsing
 <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> properties.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2109Spec.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
         int&nbsp;port,
         <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
         boolean&nbsp;secure,
         <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Performs RFC 2109 compliant <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> validation</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.apache.commons.httpclient.cookie.CookieSpecBase"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class org.apache.commons.httpclient.cookie.<A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#formatCookieHeader(org.apache.commons.httpclient.Cookie)">formatCookieHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#formatCookieHeader(org.apache.commons.httpclient.Cookie[])">formatCookieHeader</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#getValidDateFormats()">getValidDateFormats</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#match(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">match</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#match(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie[])">match</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#parse(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Header)">parse</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#parse(java.lang.String, int, java.lang.String, boolean, java.lang.String)">parse</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#pathMatch(java.lang.String, java.lang.String)">pathMatch</A>, <A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#setValidDateFormats(java.util.Collection)">setValidDateFormats</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->

<A NAME="field_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Field Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="SET_COOKIE_KEY"><!-- --></A><H3>
SET_COOKIE_KEY</H3>
<PRE>
public static final <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>SET_COOKIE_KEY</B></PRE>
<DL>
<DD>Cookie Response Header  name for cookies processed
 by this spec.
<P>
<DL>
<DT><B>See Also:</B><DD><A HREF="../../../../../constant-values.html#org.apache.commons.httpclient.cookie.RFC2109Spec.SET_COOKIE_KEY">Constant Field Values</A></DL>
</DL>

<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="RFC2109Spec()"><!-- --></A><H3>
RFC2109Spec</H3>
<PRE>
public <B>RFC2109Spec</B>()</PRE>
<DL>
<DD>Default constructor
<P>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)"><!-- --></A><H3>
parseAttribute</H3>
<PRE>
public void <B>parseAttribute</B>(<A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient">NameValuePair</A>&nbsp;attribute,
                           <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)
                    throws <A HREF="../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie">MalformedCookieException</A></PRE>
<DL>
<DD>Parse RFC 2109 specific cookie attribute and update the corresponsing
 <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> properties.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#parseAttribute(org.apache.commons.httpclient.NameValuePair, org.apache.commons.httpclient.Cookie)">parseAttribute</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>attribute</CODE> - <A HREF="../../../../../org/apache/commons/httpclient/NameValuePair.html" title="class in org.apache.commons.httpclient"><CODE>NameValuePair</CODE></A> cookie attribute from the
 <tt>Set- Cookie</tt><DD><CODE>cookie</CODE> - <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> to be updated
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie">MalformedCookieException</A></CODE> - if an exception occurs during parsing</DL>
</DD>
</DL>
<HR>

<A NAME="validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)"><!-- --></A><H3>
validate</H3>
<PRE>
public void <B>validate</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
                     int&nbsp;port,
                     <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;path,
                     boolean&nbsp;secure,
                     <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)
              throws <A HREF="../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie">MalformedCookieException</A></PRE>
<DL>
<DD>Performs RFC 2109 compliant <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> validation
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#validate(java.lang.String, int, java.lang.String, boolean, org.apache.commons.httpclient.Cookie)">validate</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>host</CODE> - the host from which the <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> was received<DD><CODE>port</CODE> - the port from which the <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> was received<DD><CODE>path</CODE> - the path from which the <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> was received<DD><CODE>secure</CODE> - <tt>true</tt> when the <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> was received using a
 secure connection<DD><CODE>cookie</CODE> - The cookie to validate
<DT><B>Throws:</B>
<DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/MalformedCookieException.html" title="class in org.apache.commons.httpclient.cookie">MalformedCookieException</A></CODE> - if an exception occurs during
 validation</DL>
</DD>
</DL>
<HR>

<A NAME="domainMatch(java.lang.String, java.lang.String)"><!-- --></A><H3>
domainMatch</H3>
<PRE>
public boolean <B>domainMatch</B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;host,
                           <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;domain)</PRE>
<DL>
<DD>Performs domain-match as defined by the RFC2109.
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#domainMatch(java.lang.String, java.lang.String)">domainMatch</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#domainMatch(java.lang.String, java.lang.String)">domainMatch</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>host</CODE> - The target host.<DD><CODE>domain</CODE> - The cookie domain attribute.
<DT><B>Returns:</B><DD>true if the specified host matches the given domain.<DT><B>Since:</B></DT>
  <DD>3.0</DD>
</DL>
</DD>
</DL>
<HR>

<A NAME="formatCookie(org.apache.commons.httpclient.Cookie)"><!-- --></A><H3>
formatCookie</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>formatCookie</B>(<A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>&nbsp;cookie)</PRE>
<DL>
<DD>Return a string suitable for sending in a <tt>"Cookie"</tt> header as
 defined in RFC 2109
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#formatCookie(org.apache.commons.httpclient.Cookie)">formatCookie</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#formatCookie(org.apache.commons.httpclient.Cookie)">formatCookie</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cookie</CODE> - a <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A> to be formatted as string
<DT><B>Returns:</B><DD>a string suitable for sending in a <tt>"Cookie"</tt> header.</DL>
</DD>
</DL>
<HR>

<A NAME="formatCookies(org.apache.commons.httpclient.Cookie[])"><!-- --></A><H3>
formatCookies</H3>
<PRE>
public <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A> <B>formatCookies</B>(<A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient">Cookie</A>[]&nbsp;cookies)</PRE>
<DL>
<DD>Create a RFC 2109 compliant <tt>"Cookie"</tt> header value containing all
 <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A>s in <i>cookies</i> suitable for sending in a <tt>"Cookie"
 </tt> header
<P>
<DD><DL>
<DT><B>Specified by:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html#formatCookies(org.apache.commons.httpclient.Cookie[])">formatCookies</A></CODE> in interface <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpec.html" title="interface in org.apache.commons.httpclient.cookie">CookieSpec</A></CODE><DT><B>Overrides:</B><DD><CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html#formatCookies(org.apache.commons.httpclient.Cookie[])">formatCookies</A></CODE> in class <CODE><A HREF="../../../../../org/apache/commons/httpclient/cookie/CookieSpecBase.html" title="class in org.apache.commons.httpclient.cookie">CookieSpecBase</A></CODE></DL>
</DD>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>cookies</CODE> - an array of <A HREF="../../../../../org/apache/commons/httpclient/Cookie.html" title="class in org.apache.commons.httpclient"><CODE>Cookie</CODE></A>s to be formatted
<DT><B>Returns:</B><DD>a string suitable for sending in a Cookie header.</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/RFC2109Spec.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/cookie/NetscapeDraftSpec.html" title="class in org.apache.commons.httpclient.cookie"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../org/apache/commons/httpclient/cookie/RFC2965Spec.html" title="class in org.apache.commons.httpclient.cookie"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?org/apache/commons/httpclient/cookie/RFC2109Spec.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RFC2109Spec.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#field_summary">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#field_detail">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &copy; 2001-2008 Apache Software Foundation. All Rights Reserved.
</BODY>
</HTML>
